# -*- coding: utf-8 -*-
#import libMediathek
import xbmc
import xbmcplugin
import xbmcgui
import json
import os
import resources.lib._utils as _utils
try:
    from sqlite3 import dbapi2 as sqlite
    print "Loading sqlite3 as DB engine"
except:
    from pysqlite2 import dbapi2 as sqlite
    print "Loading pysqlite2 as DB engine"

DB = os.path.join(xbmc.translatePath("special://database"), 'Epg11.db')
xbmc.log(str(DB))
db = sqlite.connect(DB)
queryCurs = db.cursor()
#http://itv.ard.de/ardepg/dyn/search.php?sids=1,5,9,14,18,20,32,33,3,4,2,34,36,31,19,17,35,7,15&from=-1&sort=1&tstamp=24462046
#http://itv.ard.de/ardepg/dyn/search.php?sids=1,5,9,14,18,20,32,33,3,4,2,34,36,31,19,17,35,7,15&from=-1&sort=1&tstamp=24462046
#http://itv.ard.de/ardepg/dyn/search.php?sids=1,5,9,14,18,20,32,33,3,4,2,34,36,31,19,17,35,7,15&from=1467689400&to=1467775800&tstamp=24462041

sid2ChanName = {
'1','daserste'
}

def fetchThumbs(channel = 'daserste'):
	response = _utils.getUrl('http://itv.ard.de/ardepg/dyn/search.php?sids=1&from=1467689400&to=1467775800&tstamp=24461979')
	j = json.loads(response)
	channels = {'daserste':[]}
	for show in j:
		dict = {}
		if show['sid'] == 1:
			#dict['channel'] = 'Das Erste'
			dict['name'] = show['title']
			dict['startEpoch'] = show['start']
			dict['endEpoch'] = show['end']
			dict['url'] = 'http://itv.ard.de/ardepg/img/evtimg.php?id='+show['img']+'&type=1'#http://itv.ard.de/ardepg/img/evtimg.php?id=18131571798&type=0
			channels['daserste'].append(dict)
	return channels
"""
def saveThumbs(list,channel='daserste'):
	for entry in list:
		path = channel+'/'+str(entry['startEpoch'])+'.jpg'
		_utils
"""
def dbAddThumbs(thumbs,chanName2Id):
	queryCurs.execute('SELECT idBroadcast,idEpg,iStartTime FROM epgtags')
	replacement = []
	for idBroadcast,idEpg,iStartTime in queryCurs:
		for channel in thumbs:
			if chanName2Id.get(channel, -1) == idEpg:
				for thumb in thumbs[channel]:
					if thumb['startEpoch'] == iStartTime:
						replacement.append([idBroadcast,thumb['url']])
		"""
		if idEpg == 24:
			#xbmc.log(str(thumbs))
			for thumb in thumbs['Das Erste']:
				if thumb['startEpoch'] == iStartTime:
					xbmc.log(str(thumb))
					xbmc.log(str(idBroadcast))
					xbmc.log(str(iStartTime))
					xbmc.log('############################')
					replacement.append([idBroadcast,thumb['url']])
					#queryCurs.execute('UPDATE epgtags SET sIconPath=? WHERE idBroadcast="'+str(idBroadcast)+'"',[thumb['url']])
		"""
	for idBroadcast,thumb in replacement:
		queryCurs.execute('UPDATE epgtags SET sIconPath=? WHERE idBroadcast="'+str(idBroadcast)+'"',[thumb])
def dbFetchChannels():
	xbmc.log('fetching')
	queryCurs.execute('SELECT idEpg,sName FROM epg')
	chanName2Id = {}
	for idEpg,sName in queryCurs:
		sName = sName.replace("HD","").replace(" ","").replace(".","").replace("-","").replace("/","").replace("_","").lower()
		chanName2Id[sName] = idEpg
	return chanName2Id

thumbs = fetchThumbs()
chanName2Id = dbFetchChannels()
dbAddThumbs(thumbs,chanName2Id)

db.commit()
db.close()